<?php

/* DCMS Special
 * Дата последнего редактирования 01.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

if ($user['level'] < 3) {
    header("Location: /index.php?");
    exit();
}
$set['title'] = lang('Панель управления') . " - " . lang('Редактор подарков');
require_once H . 'sys/inc/thead.php';

aut();

define('DIR_GIFT', '/modules/gifts/');

if (isset($_GET['cat']) && intval($_GET['cat']) != NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `gift_cat` WHERE `id` = '" . intval($_GET['cat']) . "'"), 0) != 0) {
    $cat = mysql_fetch_array(mysql_query("SELECT * FROM `gift_cat` WHERE `id` = '" . intval($_GET['cat']) . "'"));

    if (isset($_GET['add'])) {
        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='" . DIR_GIFT . "'>" . lang('Подарки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='" . DIR_GIFT . "admin.php'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='?cat=$cat[id]'>" . cutStr($cat['name'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Новый подарок');
        echo "</small></div><br />";

        if (isset($_POST['submited'])) {
            if (isset($_FILES['file'])) {
                $type = $_FILES['file']['type'];
                if ($type !== 'image/jpeg' && $type !== 'image/jpg' && $type !== 'image/gif' && $type !== 'image/png') {
                    $err[] = lang('Это не картинка');
                }
            } else {
                $err[] = lang('Выберите картинку');
            }
            $name = $_POST['name'];
            if (utf8_strlen($name) < 1) {
                $err[] = lang('Слишком короткое название');
            }
            $cena = intval($_POST['cena']);
            if (!is_numeric($cena) || utf8_strlen($cena) < 1) {
                $err[] = lang('Неверная цена');
            }
            if (!isset($err)) {
                $tmp = $_FILES['file']['tmp_name'];
                $namei = $_FILES['file']['name'];
                mysql_query("INSERT INTO `gift` SET `name` = '$name', `cena` = '$cena', `id_cat` = '$cat[id]', `image` = 'gift_$namei'");
                $id = mysql_insert_id();
                copy($tmp, H . "modules/gifts/images/gift_$namei");

                $_SESSION['message'] = lang('Подарок успешно добавлен');
                header("location: ?cat=$cat[id]&act=admin");
            }
        }
        err();

        echo "<form method='post' class='list-group-item-null' action='' enctype='multipart/form-data'>\n";

        $doc->Input('name', 'Название подарка', 100, null, 'form-control', 'text', 'required');
        $doc->Input('cena', 'Цена', 6, null, 'form-control', 'number');
        $doc->File('file', 'Подарок', 'Выберите изображение');

        $doc->Button('btn btn-primary btn-sm', 'submited', 'upload', 'Добавить');

        echo "</form>\n";

        require_once H . 'sys/inc/tfoot.php';
        exit;
    }

    if (isset($_GET['edit']) && intval($_GET['edit']) != NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `gift` WHERE `id` = '" . intval($_GET['edit']) . "'"), 0) != 0) {
        $edit = mysql_fetch_array(mysql_query("SELECT * FROM `gift` WHERE `id` = '" . intval($_GET['edit']) . "'"));


        if (isset($_GET['change_img'])) {
            #Навигация
            echo "<div class='list-group-item-null list-group-item-grey'><small>";
            echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
            echo "<a href='" . DIR_GIFT . "'>" . lang('Подарки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
            echo "<a href='" . DIR_GIFT . "admin.php'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
            echo "<a href='?cat=$cat[id]'>" . cutStr($cat['name'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
            echo lang('Изображение подарка');
            echo "</small></div><br />";

            if (isset($_POST['submited'])) {
                if (isset($_FILES['file'])) {
                    $type = $_FILES['file']['type'];
                    if ($type !== 'image/jpeg' && $type !== 'image/jpg' && $type !== 'image/gif' && $type !== 'image/png') {
                        $err[] = lang('Это не картинка');
                    }
                } else {
                    $err[] = lang('Выберите картинку');
                }
                if (!isset($err)) {
                    $tmp = $_FILES['file']['tmp_name'];
                    $namei = $_FILES['file']['name'];
                    unlink(H . "gifts/images/$edit[image]");
                    copy($tmp, H . "gifts/images/gift_$namei");
                    mysql_query("UPDATE `gift` SET `image` = 'gift_$namei' WHERE `id` = '$edit[id]'");
                    header("Location:?cat=$cat[id]&act=admin&edit=$edit[id]");
                    exit();
                }
            }
            err();

            echo "<form method='post' class='list-group-item-null' action='' enctype='multipart/form-data'>\n";

            $doc->File('file', 'Подарок', 'Выберите изображение');

            $doc->Button('btn btn-success btn-sm', 'submited', 'save', 'Сохранить');

            echo "</form>\n";

            require_once H . 'sys/inc/tfoot.php';
            exit;
        }

        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='" . DIR_GIFT . "'>" . lang('Подарки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='" . DIR_GIFT . "admin.php'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='?cat=$cat[id]'>" . cutStr($cat['name'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Редактировать');
        echo "</small></div><br />";

        if (isset($_POST['submited'])) {
            $name = $_POST['name'];
            if (utf8_strlen($name) < 1) {
                $err[] = lang('Слишком короткое название');
            }
            $cena = intval($_POST['cena']);
            if (!is_numeric($cena) || utf8_strlen($cena) < 1) {
                $err[] = lang('Неверная цена');
            }
            if (!isset($err)) {
                mysql_query("UPDATE `gift` SET `name` = '$name', `cena` = '$cena' WHERE `id` = '$edit[id]'");
                header("Location:?cat=$cat[id]&act=admin");
            }
        }

        err();

        echo "<form method='post' class='list-group-item-null' action='?cat=$cat[id]&amp;act=admin&amp;edit=$edit[id]&amp;ok'>\n";

        $doc->Input('name', 'Название подарка', 50, "$edit[name]");
        $doc->Input('cena', 'Цена подарка', 5, "$edit[cena]");

        echo "<br />";
        $doc->Button('btn btn-success btn-sm', 'submited', 'save', 'Сохранить');

        echo "</form>\n";

        require_once H . 'sys/inc/tfoot.php';
        exit;
    }

    if (isset($_GET['del']) && intval($_GET['del']) != NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `gift` WHERE `id` = '" . intval($_GET['del']) . "'"), 0) != 0) {
        $del = mysql_fetch_array(mysql_query("SELECT * FROM `gift` WHERE `id` = '" . intval($_GET['del']) . "'"));
        if (isset($_POST['submited'])) {
            mysql_query("DELETE FROM `gift` WHERE `id` = '$del[id]'");
            mysql_query("DELETE FROM `gifts` WHERE `id_gift` = '$del[id]'");
            unlink(H . "modules/gifts/images/$del[image]");
            header("Location: ?cat=$cat[id]&act=admin");
            exit();
        }

        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='" . DIR_GIFT . "'>" . lang('Подарки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='" . DIR_GIFT . "admin.php'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='?cat=$cat[id]'>" . cutStr($cat['name'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Удалить');
        echo "</small></div><br />";

        echo "<form method='POST' class='list-group-item-null' action=''>\n";
        echo lang('Вы уверены, что хотите удалить этот подарок') . "?<br />\n";

        $doc->Button('btn btn-success btn-sm', 'submited', 'trash-o', 'Удалить');

        echo "</form>\n";

        require_once H . 'sys/inc/tfoot.php';
        exit;
    }

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_GIFT . "'>" . lang('Подарки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_GIFT . "admin.php'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo cutStr($cat['name'], 30);
    echo "</small></div><br />";

    $doc->Link('list-group-item-null list-group-item-grey', "?cat=$cat[id]&amp;act=admin&amp;add", 'plus', 'Добавить подарок');

    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `gift` WHERE `id_cat` = '$cat[id]'"), 0);
    if ($k_post == 0) {
        $doc->NoResult();
    }
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];
    $q = mysql_query("SELECT * FROM `gift` WHERE `id_cat` = '$cat[id]' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
    while ($post = mysql_fetch_array($q)) {
        echo "<table class='list-group-item-null'><tr><td class='icon14'>";
        echo "<a href='?cat=$cat[id]&amp;act=admin&amp;edit=$post[id]&amp;change_img'><img src='images/$post[image]' height='30' width='30' /></a>";
        echo "</td><td class='null'>";
        echo "<span style='float:right;'><a href='?cat=$cat[id]&amp;act=admin&amp;edit=$post[id]'><i class='fa fa-edit fa-fw'></i></a> <a href='?cat=$cat[id]&amp;act=admin&amp;del=$post[id]'><i class='fa fa-trash-o fa-fw'></i></a></span>";

        echo "<a href='?cat=$cat[id]&amp;act=admin&amp;edit=$post[id]&amp;change_img'>" . toOutput($post['name']) . " - <small style='color: green;'><i class='fa fa-money fa-fw'></i>$post[cena]</small></a>";
        echo "</td></tr></table>";
        echo "<div class='hr'></div>";
    }

    if ($k_page > 1) {
        str("?cat=$cat[id]&amp;act=admin&amp;", $k_page, $page);
    }

    require_once H . 'sys/inc/tfoot.php';
    exit;
} elseif (isset($_GET['edit']) && intval($_GET['edit']) != NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `gift_cat` WHERE `id` = '" . intval($_GET['edit']) . "'"), 0) != 0) {
    $edit = mysql_fetch_array(mysql_query("SELECT * FROM `gift_cat` WHERE `id` = '" . intval($_GET['edit']) . "'"));

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_GIFT . "'>" . lang('Подарки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_GIFT . "admin.php'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='?cat=$edit[id]'>" . cutStr($edit['name'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Редактирование');
    echo "</small></div><br />";

    if (isset($_POST['submited'])) {
        $name = $_POST['name'];
        if (utf8_strlen($name) < 1) {
            $err[] = lang('Слишком короткое название');
        }
        if (preg_match("#(^\ )|(\ $)#ui", $name)) {
            $err[] = lang('Запрещено использовать пробел в начале и конце');
        }
        if (!isset($err)) {
            if (isset($_POST['show']) && $_POST['show'] == 1) {
                $show = 0;
            } else {
                $show = 1;
            }
            mysql_query("UPDATE `gift_cat` SET `name` = '$name', `show` = '$show' WHERE `id` = '$edit[id]'");

            $_SESSION['message'] = lang('Изменения сохранены');
            header("Location:?act=admin");
        }
    }
    err();

    echo "<form method='post' class='list-group-item-null' action=''>";

    $doc->Input('name', 'Название категории', 100, "$edit[name]");
    $doc->Checkbox('show', 'Только для администрации', '1', "" . ($edit['show'] == 0 ? " checked = 'checked'" : NULL) . "");

    echo "<br />";

    $doc->Button('btn btn-success btn-sm', 'submited', 'save', 'Сохранить');

    echo "</form>";

    require_once H . 'sys/inc/tfoot.php';
    exit;
} elseif (isset($_GET['add'])) {

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_GIFT . "'>" . lang('Подарки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_GIFT . "admin.php'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Новая категория');
    echo "</small></div><br />";

    if (isset($_POST['submited'])) {
        $name = $_POST['name'];
        if (utf8_strlen($name) < 1) {
            $err[] = lang('Слишком короткое название');
        }
        if (preg_match("#(^\ )|(\ $)#ui", $name)) {
            $err[] = lang('Запрещено использовать пробел в начале и конце');
        }
        if (!isset($err)) {
            mysql_query("INSERT INTO `gift_cat` SET `name` = '$name'");
            header("Location:?act=admin");
        }
    }
    err();

    echo "<form method='post' class='list-group-item-null' action='?act=admin&amp;add&amp;ok'>";

    $doc->Input('name', 'Название категории', 100);
    echo "<br />";
    $doc->Button('btn btn-success btn-sm', 'submited', 'plus', 'Добавить');

    echo "</form>\n";

    require_once H . 'sys/inc/tfoot.php';
    exit;
}
if (isset($_GET['del']) && intval($_GET['del']) != NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `gift_cat` WHERE `id` = '" . intval($_GET['del']) . "'"), 0) != 0) {
    $del = mysql_fetch_array(mysql_query("SELECT * FROM `gift_cat` WHERE `id` = '" . intval($_GET['del']) . "'"));
    if (isset($_POST['submited'])) {
        $q = mysql_query("SELECT * FROM `gift` WHERE `id_cat` = '$del[id]'");
        while ($post = mysql_fetch_array($q)) {
            mysql_query("DELETE FROM `gift` WHERE `id` = '$post[id]'");
            mysql_query("DELETE FROM `gifts` WHERE `id_gift` = '$post[id]'");
            unlink("images/gifts/$post[image]");
        }
        mysql_query("DELETE FROM `gift_cat` WHERE `id` = '$del[id]'");

        $_SESSION['message'] = lang('Категория успешно удалена');
        header("Location:?act=admin");
        exit();
    }

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_GIFT . "'>" . lang('Подарки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_GIFT . "admin.php'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_GIFT . "admin.php?cat=$del[id]'>" . cutStr($del['name'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Удалить');
    echo "</small></div><br />";

    echo "<form class = 'list-group-item-null' method='POST'>\n";
    echo lang('Вы уверены, что хотите удалить эту категорию') . "?<br />\n";

    $doc->Button('btn btn-success btn-sm', 'submited', 'trash-o', 'Удалить');

    echo "</form>\n";

    require_once H . 'sys/inc/tfoot.php';
    exit;
}

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_GIFT . "'>" . lang('Подарки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Управление');
echo "</small></div><br />";

$doc->Link('list-group-item-null list-group-item-grey', "?act=admin&amp;add", 'plus', 'Добавить кaтегорию');

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `gift_cat`"), 0);
if ($k_post == 0) {
    $doc->NoResult();
}

$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = mysql_query("SELECT * FROM `gift_cat` ORDER BY `id` ASC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_array($q)) {
    echo "<div class='list-group-item-null'>";
    echo "<span style='float:right;'>";
    echo "<a href='?act=admin&amp;edit=$post[id]'><i class='fa fa-edit fa-fw'></i></a> <a href='?act=admin&amp;del=$post[id]'><i class='fa fa-trash-o fa-fw'></i></a>";
    echo "</span>";

    echo "<a href='?cat=$post[id]'><i class='fa fa-folder fa-fw'></i> " . toOutput($post['name']) . "</a>";
    echo "</div>";
    echo "<div class='hr'></div>";
}

if ($k_page > 1) {
    str("?act=admin&amp;", $k_page, $page);
}

require_once H . 'sys/inc/tfoot.php';
exit;
